Package org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features

# Class AbstractFeaturesCrs

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.AbstractFeaturesCrs

Direct Known Subclasses:
  `FeaturesCrsParameter`, `FeaturesCrsParameterDefault`, `FeaturesCrsParameterInvalid`, `FeaturesCrsParameterTransform`

public class AbstractFeaturesCrs extends CommonFixture

AbstractFeaturesCrs class.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFeaturesCrs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Object[]>`
  `collectionIdAndJson(org.testng.ITestContext testContext)`
  collectionIdAndJson.
  `Iterator<Object[]>`
  `collectionIdAndJsonAndCrs(org.testng.ITestContext testContext)`
  collectionIdAndJsonAndCrs.
  `Iterator<Object[]>`
  `collectionIdAndJsonAndCrsAndDefaultCrs(org.testng.ITestContext testContext)`
  collectionIdAndJsonAndCrsAndDefaultCrs.
  `void`
  `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`
  retrieveRequiredInformationFromTestContext.

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractFeaturesCrs

    public AbstractFeaturesCrs()

- ## Method Details

  - ### retrieveRequiredInformationFromTestContext

    @BeforeClass public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    retrieveRequiredInformationFromTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### collectionIdAndJson

    @DataProvider(name="collectionIdAndJson") public Iterator<Object[]> collectionIdAndJson(org.testng.ITestContext testContext)

    collectionIdAndJson.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object

  - ### collectionIdAndJsonAndCrs

    @DataProvider(name="collectionIdAndJsonAndCrs") public Iterator<Object[]> collectionIdAndJsonAndCrs(org.testng.ITestContext testContext)

    collectionIdAndJsonAndCrs.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object

  - ### collectionIdAndJsonAndCrsAndDefaultCrs

    @DataProvider(name="collectionIdAndJsonAndCrsAndDefaultCrs") public Iterator<Object[]> collectionIdAndJsonAndCrsAndDefaultCrs(org.testng.ITestContext testContext)

    collectionIdAndJsonAndCrsAndDefaultCrs.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object